Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Class Phase

    java.lang.Object
      org.apache.cxf.phase.Phase

All Implemented Interfaces:
  java.lang.Comparable

    public class Phase

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static java.lang.String` | `INVOKE`
`static java.lang.String` | `MARSHAL`
`static java.lang.String` | `MARSHAL_ENDING`
`static java.lang.String` | `POST_INVOKE`
`static java.lang.String` | `POST_LOGICAL`
`static java.lang.String` | `POST_LOGICAL_ENDING`
`static java.lang.String` | `POST_MARSHAL`
`static java.lang.String` | `POST_PROTOCOL`
`static java.lang.String` | `POST_PROTOCOL_ENDING`
`static java.lang.String` | `POST_STREAM`
`static java.lang.String` | `POST_STREAM_ENDING`
`static java.lang.String` | `PRE_INVOKE`
`static java.lang.String` | `PRE_LOGICAL`
`static java.lang.String` | `PRE_LOGICAL_ENDING`
`static java.lang.String` | `PRE_MARSHAL`
`static java.lang.String` | `PRE_PROTOCOL`
`static java.lang.String` | `PRE_PROTOCOL_ENDING`
`static java.lang.String` | `PRE_STREAM`
`static java.lang.String` | `PRE_STREAM_ENDING`
`static java.lang.String` | `PREPARE_SEND`
`static java.lang.String` | `PREPARE_SEND_ENDING`
`static java.lang.String` | `PROTOCOL`
`static java.lang.String` | `READ`
`static java.lang.String` | `RECEIVE`
`static java.lang.String` | `SEND`
`static java.lang.String` | `SEND_ENDING`
`static java.lang.String` | `SETUP`
`static java.lang.String` | `SETUP_ENDING`
`static java.lang.String` | `UNMARSHAL`
`static java.lang.String` | `USER_LOGICAL`
`static java.lang.String` | `USER_LOGICAL_ENDING`
`static java.lang.String` | `USER_PROTOCOL`
`static java.lang.String` | `USER_PROTOCOL_ENDING`
`static java.lang.String` | `USER_STREAM`
`static java.lang.String` | `USER_STREAM_ENDING`
`static java.lang.String` | `WRITE`
`static java.lang.String` | `WRITE_ENDING`

Constructor Summary
`Phase()`
`Phase(java.lang.String n, int p)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`int` | `hashCode()`
`void` | `setName(java.lang.String n)`
`void` | `setPriority(int p)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SETUP

    public static final java.lang.String SETUP

See Also:
  Constant Field Values

### SETUP_ENDING

    public static final java.lang.String SETUP_ENDING

See Also:
  Constant Field Values

### PRE_LOGICAL

    public static final java.lang.String PRE_LOGICAL

See Also:
  Constant Field Values

### PRE_LOGICAL_ENDING

    public static final java.lang.String PRE_LOGICAL_ENDING

See Also:
  Constant Field Values

### USER_LOGICAL

    public static final java.lang.String USER_LOGICAL

See Also:
  Constant Field Values

### USER_LOGICAL_ENDING

    public static final java.lang.String USER_LOGICAL_ENDING

See Also:
  Constant Field Values

### POST_LOGICAL

    public static final java.lang.String POST_LOGICAL

See Also:
  Constant Field Values

### POST_LOGICAL_ENDING

    public static final java.lang.String POST_LOGICAL_ENDING

See Also:
  Constant Field Values

### PRE_MARSHAL

    public static final java.lang.String PRE_MARSHAL

See Also:
  Constant Field Values

### MARSHAL

    public static final java.lang.String MARSHAL

See Also:
  Constant Field Values

### POST_MARSHAL

    public static final java.lang.String POST_MARSHAL

See Also:
  Constant Field Values

### MARSHAL_ENDING

    public static final java.lang.String MARSHAL_ENDING

See Also:
  Constant Field Values

### PRE_PROTOCOL

    public static final java.lang.String PRE_PROTOCOL

See Also:
  Constant Field Values

### PRE_PROTOCOL_ENDING

    public static final java.lang.String PRE_PROTOCOL_ENDING

See Also:
  Constant Field Values

### USER_PROTOCOL

    public static final java.lang.String USER_PROTOCOL

See Also:
  Constant Field Values

### USER_PROTOCOL_ENDING

    public static final java.lang.String USER_PROTOCOL_ENDING

See Also:
  Constant Field Values

### POST_PROTOCOL

    public static final java.lang.String POST_PROTOCOL

See Also:
  Constant Field Values

### POST_PROTOCOL_ENDING

    public static final java.lang.String POST_PROTOCOL_ENDING

See Also:
  Constant Field Values

### PREPARE_SEND

    public static final java.lang.String PREPARE_SEND

See Also:
  Constant Field Values

### PREPARE_SEND_ENDING

    public static final java.lang.String PREPARE_SEND_ENDING

See Also:
  Constant Field Values

### PRE_STREAM

    public static final java.lang.String PRE_STREAM

See Also:
  Constant Field Values

### PRE_STREAM_ENDING

    public static final java.lang.String PRE_STREAM_ENDING

See Also:
  Constant Field Values

### USER_STREAM

    public static final java.lang.String USER_STREAM

See Also:
  Constant Field Values

### USER_STREAM_ENDING

    public static final java.lang.String USER_STREAM_ENDING

See Also:
  Constant Field Values

### POST_STREAM

    public static final java.lang.String POST_STREAM

See Also:
  Constant Field Values

### POST_STREAM_ENDING

    public static final java.lang.String POST_STREAM_ENDING

See Also:
  Constant Field Values

### WRITE

    public static final java.lang.String WRITE

See Also:
  Constant Field Values

### WRITE_ENDING

    public static final java.lang.String WRITE_ENDING

See Also:
  Constant Field Values

### SEND

    public static final java.lang.String SEND

See Also:
  Constant Field Values

### SEND_ENDING

    public static final java.lang.String SEND_ENDING

See Also:
  Constant Field Values

### RECEIVE

    public static final java.lang.String RECEIVE

See Also:
  Constant Field Values

### READ

    public static final java.lang.String READ

See Also:
  Constant Field Values

### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

### UNMARSHAL

    public static final java.lang.String UNMARSHAL

See Also:
  Constant Field Values

### PRE_INVOKE

    public static final java.lang.String PRE_INVOKE

See Also:
  Constant Field Values

### INVOKE

    public static final java.lang.String INVOKE

See Also:
  Constant Field Values

### POST_INVOKE

    public static final java.lang.String POST_INVOKE

See Also:
  Constant Field Values

Constructor Detail

### Phase

    public Phase()

### Phase

    public Phase(java.lang.String n,
                 int p)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String n)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int p)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.